libogg documentation | libogg release 1.0 - 20000615

# ogg_sync_wrote

declared in "ogg/ogg.h";

This function is used to tell the ogg_sync_state struct how many bytes we wrote into the buffer.

    int ogg_sync_destroy(ogg_sync_state *oy);

### Parameters

oy
  Pointer to a previously declared ogg_sync_state struct.

### Return Values

> - -1 if the number of bytes written overflows the internal storage of the ogg_sync_state struct.
> - 0 in all other cases.

copyright © 2000 xiph.org | Ogg Vorbis team@xiph.org
libogg documentation | libogg release 1.0 - 20000615